unit uBizGruposCliente;

interface

uses
  uDAInterfaces, uDADataTable, schContactosClient_Intf;

const
  BIZ_CLIENT_GRUPOSCLIENTE = 'Client.GrupoCliente';

type
  IBizGrupoCliente = interface(IGruposCliente)
    ['{14D53184-B350-4506-9527-E7F7D9442515}']
  end;

  TBizGrupoCliente = class(TGruposClienteDataTableRules, IBizGrupoCliente)
    procedure AfterOpen(Sender: TDADataTable); override;
  end;

implementation

{ TBizGrupoCliente }

procedure TBizGrupoCliente.AfterOpen(Sender: TDADataTable);
begin
  inherited;
  DataTable.Sort([fld_GruposClienteDESCRIPCION], [sdAscending]);
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_GRUPOSCLIENTE, TBizGrupoCliente);

finalization

end.

